> ## Documentation Index > Fetch the complete documentation index at: https://learn.servitly.com/llms.txt > Use this file to discover all available pages before exploring further. # Get subscription by id > Returns the subscription identified by the given id, with its type, state, activation timestamp, next payment timestamp and the subscribed service-level or service.
Required permissions: READ_SUBSCRIPTION. ## OpenAPI ````json GET /inventory/subscriptions/{subscriptionId} { "openapi": "3.1.0", "info": { "title": "Servitly DPS API", "version": "1.0.0" }, "servers": [ { "url": "https://api.servitly-sandbox.com", "description": "[AWS SANDBOX]" }, { "url": "https://api.servitly.com", "description": "[AWS PRODUCTION Ireland]" }, { "url": "https://api-ap.servitly.com", "description": "[AWS Hong Kong]" }, { "url": "https://azapi.servitly-dev.com", "description": "[AZURE DEV Frankfurt]" }, { "url": "https://azapi.servitly-staging.com", "description": "[AZURE STAGING Frankfurt]" }, { "url": "https://azapi.servitly.com", "description": "[AZURE PRODUCTION Frankfurt]" } ], "security": [ { "bearerAuth": [] } ], "tags": [ { "name": "ACTIONS" }, { "name": "ALERTS" }, { "name": "API GATEWAY" }, { "name": "AUTHENTICATION" }, { "name": "AUTHORIZATIONS" }, { "name": "CUSTOMERS" }, { "name": "DATA IMPORT / EXPORT" }, { "name": "EVENTS" }, { "name": "LOCATIONS" }, { "name": "MAINTENANCE" }, { "name": "MAPPING" }, { "name": "METRIC DATA" }, { "name": "MOBILE APP" }, { "name": "ORGANIZATION" }, { "name": "PARTNERS" }, { "name": "PRODUCT MODELS" }, { "name": "SPARE PARTS" }, { "name": "STATISTICS" }, { "name": "STORE ORDERS" }, { "name": "SUBSCRIPTIONS" }, { "name": "SUBSCRIPTIONS (OLD)" }, { "name": "THING CONTROL" }, { "name": "THING DEFINITIONS" }, { "name": "THING MANAGEMENT" }, { "name": "THINGS" }, { "name": "TICKETS" }, { "name": "USER TYPES" }, { "name": "USERS" }, { "name": "WORK SESSIONS" } ], "paths": { "/inventory/subscriptions/{subscriptionId}": { "get": { "summary": "Get subscription by id", "description": "Returns the subscription identified by the given id, with its type, state, activation timestamp, next payment timestamp and the subscribed service-level or service.
Required permissions: READ_SUBSCRIPTION.", "tags": [ "SUBSCRIPTIONS (OLD)" ], "parameters": [ { "$ref": "#/components/parameters/tenantNameHeader" }, { "in": "path", "name": "subscriptionId", "required": "true", "schema": { "$ref": "#/components/schemas/ObjectId" }, "description": "The subscription identifier." } ], "responses": { "200": { "description": "Successful operation.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/Subscription" } } } }, "401": { "$ref": "#/components/responses/NotAuthenticated" }, "403": { "$ref": "#/components/responses/NotAuthorized" }, "404": { "$ref": "#/components/responses/NotFound" }, "429": { "$ref": "#/components/responses/ApiLimit" }, "500": { "$ref": "#/components/responses/IntError" } } } } }, "components": { "parameters": { "tenantNameHeader": { "in": "header", "name": "X-Servitly-Tenant", "required": "true", "schema": { "type": "string", "example": "{{tenantName}}" }, "description": "The name of the tenant (e.g. acme)." } }, "schemas": { "ObjectId": { "type": "string", "example": "abcd1234", "minimum": "1", "description": "The object identifier (e.g. 6620e4bb42541977c406b984)." }, "Subscription": { "type": "object", "properties": { "id": { "type": "string", "description": "The subscription object identifier.", "readOnly": "true" }, "customerId": { "type": "string", "description": "The customer identifier." }, "thingId": { "type": "string", "description": "The thing identifier." }, "activationTimestamp": { "type": "integer", "format": "int64", "description": "The timestamp this subscription has been activated." }, "nextPaymentTimestamp": { "type": "integer", "format": "int64", "description": "The timestamp indicating how long the subscription is valid." }, "serviceLevelId": { "type": "string", "description": "The identifier of the subscribed service-level in case of type equal to THING_SERVICE_LEVEL or CUSTOMER_SERVICE_LEVEL." }, "serviceId": { "type": "string", "description": "The identifier of the subscribed service in case of type equal to THING_SERVICE, or CUSTOMER_SERVICE." }, "state": { "type": "string", "description": "The subscription status.", "readOnly": "true" }, "freePeriodAlreadyUsed": { "type": "boolean", "description": "The flag indicating whether the free period has already been used." }, "type": { "type": "string", "description": "The subscription type (THING_SERVICE_LEVEL, CUSTOMER_SERVICE_LEVEL, THING_SERVICE, CUSTOMER_SERVICE)." }, "stripeSubscriptionId": { "type": "string", "description": "The identifier of the Stripe subscription associated with this Subscription for automatic payment." } } } }, "responses": { "NotAuthenticated": { "description": "User not authenticated.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authenticated" } } } } } }, "NotAuthorized": { "description": "User not authorized.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "User not authorized" } } } } } }, "NotFound": { "description": "Resource was not found.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Resource not found" } } } } } }, "ApiLimit": { "description": "API call rate limit exceeded.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "API call rate limit exceeded" } } } } } }, "IntError": { "description": "Internal server error.", "content": { "application/json": { "schema": { "type": "object", "properties": { "message": { "type": "string", "description": "The error response.", "example": "Internal Server Error" } } } } } } }, "securitySchemes": { "bearerAuth": { "type": "http", "scheme": "bearer" } } } } ````